Package org.codehaus.groovy.syntax

# Class TokenMismatchException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.codehaus.groovy.GroovyException
org.codehaus.groovy.syntax.SyntaxException
org.codehaus.groovy.syntax.TokenException
org.codehaus.groovy.syntax.TokenMismatchException

All Implemented Interfaces:
  `Serializable`, `GroovyExceptionInterface`

public class TokenMismatchException extends TokenException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TokenMismatchException(Token token, int expectedType)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getExpectedType()`
`Token`
`getUnexpectedToken()`

### Methods inherited from class org.codehaus.groovy.syntax.SyntaxException

`getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`

### Methods inherited from class org.codehaus.groovy.GroovyException

`isFatal, setFatal`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TokenMismatchException

public TokenMismatchException(Token token, int expectedType)

## Method Details

### getUnexpectedToken

public Token getUnexpectedToken()

### getExpectedType

public int getExpectedType()